- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRTransform Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRTransform ()
| CDRTransform (double v0, double v1, double x0, double v3, double v4, double y0)
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &x, double &y) const

## Public Attributes
double | m_v0
double | m_v1
double | m_x0
double | m_v3
double | m_v4
double | m_y0

## Constructor & Destructor Documentation

libcdr::CDRTransform::CDRTransform | ( |  | ) |
| inline

libcdr::CDRTransform::CDRTransform | ( | double | v0,
|  | double | v1,
|  | double | x0,
|  | double | v3,
|  | double | v4,
|  | double | y0
| ) |  |
| inline

## Member Function Documentation

void libcdr::CDRTransform::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | x,
|  | double & | y
| ) |  | const

Referenced by libcdr::CDRArcToElement::transform().

void libcdr::CDRTransform::applyToPoint | ( | double & | x,
|  | double & | y
| ) |  | const

Referenced by libcdr::CDRContentCollector::_flushCurrentPath(), libcdr::CDRMoveToElement::transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), and libcdr::CDRSplineToElement::transform().

## Member Data Documentation

double libcdr::CDRTransform::m_v0

Referenced by applyToPoint().

double libcdr::CDRTransform::m_v1

Referenced by applyToPoint().

double libcdr::CDRTransform::m_v3

Referenced by applyToPoint().

double libcdr::CDRTransform::m_v4

Referenced by applyToPoint().

double libcdr::CDRTransform::m_x0

Referenced by applyToPoint().

double libcdr::CDRTransform::m_y0

Referenced by applyToPoint().

The documentation for this struct was generated from the following files:

- CDRTypes.h
- CDRTypes.cpp